Subject: Re: bug#59131: gnu: emacs-magit: Tests fail.

From: "(" <[email-masked]>
Date: Wed, 09 Nov 2022 07:44:42 +0000

Heya,

On Wed Nov 9, 2022 at 4:04 AM GMT, Kyle Meyer wrote:
> Thanks for posting this.  This recently started failing on Magit's CI,
> but nobody had looked into it too deeply yet.  Your message suggested
> that bisecting Git v2.38.0..v2.38.1 would be a good place to start.
>
> That pointed to this being fallout from Git's a1d4f67c12 (transport:
> make `protocol.file.allow` be "user" by default, 2022-10-01), and the
> two failures above are now resolved by Magit's 36059e0b (test: Set
> protocol.file.allow=always to restore old Git behavior, 2022-11-08).
>
> (In terms of fixing Guix's emacs-magit build, 36059e0b applies cleanly
> to v3.3.0's tree.)

Thanks for the investigation and fix! I'll submit a patch to apply 36059e0b
on top of our emacs-magit source.

    -- (